from rosetta import *
init()

p = Pose()
starting_p = Pose()

make_pose_from_sequence(p, 'AAAAAAAAAA', 'centroid')

for i in range(1, p.total_residue()+1):
	p.set_phi(i,-180)
	p.set_psi(i,180)
	p.set_omega(i,180)

starting_p.assign(p)

scorefxn = ScoreFunction()
scorefxn.set_weight(hbond_sr_bb,1.0)
scorefxn.set_weight(hbond_lr_bb,1.0)
scorefxn.set_weight(vdw, 1.0)

temperature = 1.0
mc = MonteCarlo(p, scorefxn, temperature)

movemap = MoveMap()
movemap.set_bb(True)

small_mover = SmallMover(movemap, temperature, 5)
small_mover.angle_max('L',50)

ncycles = 60000

dump_pdb(p, "mc_initial.pdb")
for i in range(1,ncycles+1):
	small_mover.apply(p)	
	mc.boltzmann(p)
	print i, scorefxn(p)
	
	if (i%1000 == 0):
		mc.recover_low(p)

mc.recover_low(p)
scorefxn.show(starting_p)
scorefxn.show(p)
dump_pdb(p, "mc_final.pdb")
