from rosetta import *
init()

p = Pose()
pose_from_pdb(p, "test_in.pdb")

starting_p = Pose()
starting_p.assign(p) #saving the starting structure

scorefxn = create_score_function('standard')

print "setting up packer from resfile"
task_design = TaskFactory.create_packer_task(starting_p)
task_design.read_resfile("test_in.resfile") 

#assigning the task to the packer mover
pack = PackRotamersMover( scorefxn, task_design )

print "set up job distributor"
jd = Job_dist("design_output", 5, scorefxn)
jd.native_pose = starting_p

print "beginning design..."

while (jd.job_complete == False):
	p.assign(starting_p)

	pack.apply(p)

  	jd.additional_decoy_info = " seq: " + p.sequence() 
	jd.output_decoy(p)

print "design complete!"

